package jaxws.client;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import jaxws.client.stub.HelloService;

public class HelloAppClient {
	public static void main(String[] args) {
		sayHello();
	}

	public static void sayHello() {
		URL url = null;
		try {
			url = new URL("http://localhost:8888/HelloService");
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
		Service s = Service.create(url, new QName("http://service.jaxws/", "HelloServiceService"));
		HelloService hs = s.getPort(new QName("http://service.jaxws/", "HelloServicePort"), HelloService.class);
		String helloMessage = hs.sayHello("Tom");
		System.out.println(helloMessage);
		
		try {
			System.in.read();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}


